AccountsList account integrations

List account integrations

GET /accounts/integrations

curl -X GET "https://app.bualpro.com/api/accounts/integrations" \
  -H "Content-Type: application/json" \
  -H "X-ACCESS-TOKEN: YOUR_API_KEY"
{
  "openai": {
    "active": true
  },
  "gemini": {
    "active": false
  },
  "claude": {
    "active": true
  },
  "xai": {
    "active": false
  },
  "deepseek": {
    "active": true
  },
  "google_sheets": {
    "active": false
  },
  "email": {
    "active": true
  }
}
GET
/accounts/integrations
GET
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-ACCESS-TOKEN)
X-ACCESS-TOKENstring
Required

API key (sent in header)

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-ACCESS-TOKENstring
Required

API Key for authentication. Provide your API key in the header.

Responses

openaiobject
geminiobject
claudeobject
xaiobject
deepseekobject
google_sheetsobject
emailobject

Get all integrations from a business account.